﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using Able_Opus_Multi_Downloader.Properties;

namespace Able_Opus_Multi_Downloader
{
    class PathPickLabel : Label
    {
        public PathPickLabel()
        {
            this.AutoEllipsis = true;
            this.AutoSize = false;
            this.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            this.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.Cursor = Cursors.Hand;

            if (Settings.Default.DownloadDir.Length > 0)
            {
                base.Text = Settings.Default.DownloadDir;
            }
            else
            {
                base.Text = string.Empty;
            }
        }

        public override bool AutoSize
        {
            get { return base.AutoSize; }
            set { base.AutoSize = false; }
        }

        protected override void OnMouseEnter(EventArgs e)
        {
            base.OnMouseEnter(e);
            this.BackColor = Color.FromKnownColor(KnownColor.ControlLight);
        }

        protected override void OnMouseLeave(EventArgs e)
        {
            base.OnMouseLeave(e);
            this.BackColor = Color.FromArgb(227, 238, 132);
        }

        protected override void OnClick(EventArgs e)
        {
            base.OnClick(e);

            using (FolderBrowserDialog dlgFolderBrowser = new FolderBrowserDialog())
            {
                if (dlgFolderBrowser.ShowDialog() == DialogResult.OK)
                {
                    this.Text = dlgFolderBrowser.SelectedPath;
                    Settings.Default.DownloadDir = dlgFolderBrowser.SelectedPath;
                }
            }
        }
    }
}
